package com.zskk.dicom.config;

import com.zskk.dicom.response.BaseResponse;
import com.zskk.dicom.response.ZskkResponseFactory;

public class NetCodeConfig {
	public static String SUCCESS = "0";
	private static String FILE_PATH_IS_NULL_CODE = "1001";
	private static String FILE_PATH_IS_NULL_MSG = "文件路径为空";
	private static String FILE_IS_NOT_FOUND_CODE = "1002";
	private static String FILE_IS_NOT_FOUND_MSG = "文件路径未找到";
	private static String FILE_IS_NOT_FILE_CODE = "1003";
	private static String FILE_IS_NOT_FILE_MSG = "传入的路径不是文件路径";
	private static String FILE_RUNTIME_CODE = "2001";
	private static String FILE_RUNTIME_MSG = "文件读取runtime异常具体信息请查看Exception信息";
	private static String FILE_ALIOSS_UPLOAD_CODE = "2002";
	private static String FILE_ALIOSS_UPLOAD_MSG = "阿里云文件上传出错";
	private static String FILE_ALIOSS_FILE_ALREADY_CODE = "2003";
	private static String FILE_ALIOSS_FILE_ALREADY_MSG = "阿里云文件已存在";

	
	public static BaseResponse FILE_PATH_IS_NULL = ZskkResponseFactory.getInstance().generate(FILE_PATH_IS_NULL_CODE, FILE_PATH_IS_NULL_MSG);
	public static BaseResponse FILE_IS_NOT_FOUND = ZskkResponseFactory.getInstance().generate(FILE_IS_NOT_FOUND_CODE, FILE_IS_NOT_FOUND_MSG);
	public static BaseResponse FILE_IS_NOT_FILE = ZskkResponseFactory.getInstance().generate(FILE_IS_NOT_FILE_CODE, FILE_IS_NOT_FILE_MSG);
	public static BaseResponse FILE_RUNTIME = ZskkResponseFactory.getInstance().generate(FILE_RUNTIME_CODE, FILE_RUNTIME_MSG);
	public static BaseResponse FILE_ALIOSS_FILE_ALREADY = ZskkResponseFactory.getInstance().generate(FILE_ALIOSS_FILE_ALREADY_CODE, FILE_ALIOSS_FILE_ALREADY_MSG);
	public static BaseResponse FILE_ALIOSS_UPLOAD = ZskkResponseFactory.getInstance().generate(FILE_ALIOSS_UPLOAD_CODE, FILE_ALIOSS_UPLOAD_MSG);
}
