package com.zskk.dicom.monitor.queue;

/**
 * 遗存重试上传队列
 * @param <String>
 */
public class OldRetryQueue<String> extends BaseQueue<String> {
    private OldRetryQueue() {
        super("OldRetryQueue");
    }

    private static class OldRetryQueueHolder {
         private static OldRetryQueue instance = new OldRetryQueue();
    }

    public static OldRetryQueue getInstance() {
          return OldRetryQueueHolder.instance;
    }

}
