package com.zskk.dicom.monitor.queue;

/**
 * 遗存上传队列
 * @param <String>
 */
public class OldUploadQueue<String> extends BaseQueue<String> {
    private OldUploadQueue() {
        super("OldUploadQueue");
    }

    private static class OldUploadQueueHolder {
        private static OldUploadQueue instance = new OldUploadQueue();
    }

    public static OldUploadQueue getInstance() {
        return OldUploadQueueHolder.instance;
    }
}
