package com.zskk.dicom.monitor.queue;

/**
 * 成功移动队列
 * @param <String>
 */
public class SuccessQueue<String> extends BaseQueue<String> {
    private SuccessQueue() {
        super("SuccessQueue");
    }

    private static class SuccessQueueHolder {
        private static SuccessQueue instance = new SuccessQueue();
    }

    public static SuccessQueue getInstance() {
        return SuccessQueueHolder.instance;
    }
}
