package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.utils.FileRemoveUtils;

public abstract class BaseRemoveRunner extends AbstractRemoveRunner {
    @Override
    public boolean remove() {
        String sourceFilePath = getSourceFilePath();
        return FileRemoveUtils.remove(sourceFilePath, getTargetFilePath(sourceFilePath));
    }

    protected abstract String getSourceFilePath();

    protected abstract String getTargetFilePath(String sourceFilePath);

}
